<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 2 solution.</p>
		<button onclick="countInt()">count a given number</button>
		<p id="demo"></p>

		<script>
			function countInt() {
                //node of the linked list
                class Node { 
                    // constructor 
                    constructor(element) 
                    { 
                        this.element = element; 
                        this.next = null
                    } 
                } 

                // linkedlist class 
                class LinkedList { 
                    constructor() { 
                        this.head = null; 
                        this.size = 0; 
                    }   

                    // adds an element at the end of list 
                    add(element) { 
                        // creates a new node 
                        var node = new Node(element); 
    
                        // to store current node 
                        var current; 
    
                        // if list is Empty add the element and make it head 
                        if (this.head == null) 
                            this.head = node; 
                        else {
                            current = this.head; 
    
                            // iterate to the end of the list 
                            while (current.next) { 
                                current = current.next; 
                            } 
                            // add node 
                            current.next = node;  
                            this.size++; 
                        }
                    }
                    
					
					//search element
					search(ele) {
						var current = this.head;
						var count = 0;
						while(current) {
							if( current.element == ele) {
								alert("in");
								count++;
							}
							current = current.next;
						}
						console.log(`the number ${ele} occure ${count} times in linked list`);
					}

                    //print the list
                    printList() { 
                        var curr = this.head; 
                        var str = ""; 
                        while (curr) { 
                            str += curr.element + " "; 
                            curr = curr.next; 
                        } 
                        console.log(str); 
                    } 

                    }

                    var i;
                    var element;
                    var list = new LinkedList();
				    var linked_list_size = prompt("Please enter the size of linked list : ");
                    //insert the element in linked list
				    for(i=0;i<linked_list_size;i++) {
					    element = +(prompt(`Please enter the ${i+1} element of linked list: `));
					    list.add(element);
                    }
					var se = prompt("Please enter the search element : ");
					list.search(se);
			}
		</script>

	</body>
</html>